#
# spec file for package perl-NetxAP (Version 0.02)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-NetxAP
License:        Artistic License
Group:          Development/Libraries/Perl
Provides:       p_netxap
Obsoletes:      p_netxap
Requires:       perl = %{perl_version}
Autoreqprov:    on
Summary:        Interface to the protocol family IMAP, IMSP, ACAP, and ICAP
Version:        0.02
Release:        570.2
Source:         NetxAP-%{version}.tar.gz
Patch:          NetxAP-%{version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This module provides an interface to the protocol family represented by
IMAP, IMSP, ACAP, and ICAP.  A usable IMAP module is also provide.



Authors:
--------
    Kevin Johnson <kjj@pobox.com>

%debug_package
%prep
%setup -n NetxAP-%{version}
%patch
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%files
%defattr(-, root, root)
%dir %{perl_vendorlib}/Net
%{perl_vendorarch}/auto/Net
%{perl_vendorlib}/Net/IMAP.pm
%{perl_vendorlib}/Net/xAP.pm
%doc %{_mandir}/man3/Net::IMAP.3pm.gz
%doc %{_mandir}/man3/Net::xAP.3pm.gz
/var/adm/perl-modules/perl-NetxAP
%doc ANNOUNCE BUGS CREDITS MANIFEST NEWS README TODO examples

%changelog -n perl-NetxAP
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 - dmueller@suse.de
- add norootforbuild
* Tue Mar 23 2004 - choeger@suse.de
- added IMAP over SSL functionality
- added IMAP AUTHENTICATE mechanism PLAIN
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Thu Jul 17 2003 - choeger@suse.de
- use install_vendor and new %%perl_process_packlist macro
* Tue Jun 17 2003 - choeger@suse.de
- updated filelist
* Mon May 19 2003 - choeger@suse.de
- remove installed (but unpackaged) file perllocal.pod
- remove installed (but unpackaged) file .packlist
* Wed Feb 05 2003 - choeger@suse.de
- Fixed parsing of the answer of the IMAP NAMESPACE command
* Fri Nov 29 2002 - choeger@suse.de
- added missing unsubscribe imap function to cmd_callbacks hash
* Mon Jul 29 2002 - mls@suse.de
- Fixed neededforbuild for perl-5.8.0
* Wed Oct 03 2001 - choeger@suse.de
- do not en/decode & in folder names
  Bugzilla ID#11604
* Fri Mar 16 2001 - choeger@suse.de
- commented out print statement in new method of Net::IMAP::Fetch
* Wed Nov 15 2000 - choeger@suse.de
- long package name
- buildroot
* Tue Aug 22 2000 - choeger@suse.de
- Bugfix getquota(root)
* Thu Aug 17 2000 - choeger@suse.de
- bugfix for IMAP.pm
* Wed Aug 16 2000 - choeger@suse.de
- first package, v0.02
